Bug 63198 - pygtk update breaks up2date
pygtk update breaks up2date
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-python (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 19:49 EDT by Adrian Likins
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 15:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2002-04-10 19:49:19 EDT
updating pygtk from the pygtk in original skipjack to pygtk-0.6.9-3
causes up2date to do odd things. In some cases, it causes it
to issue a warning message about:

** WARNING **: you should be using GdkColormap.alloc() to allocate coulours

in other cases, it causes a segfault like:


#0  0x08079e1d in PyArg_VaParse ()
#1  0x080798dc in PyArg_VaParse ()
#2  0x080798a0 in PyArg_VaParse ()
#3  0x08079565 in PyArg_VaParse ()
#4  0x080791f7 in PyArg_ParseTuple ()
#5  0x40509fc1 in _wrap_gdk_color_new () from
+/usr/lib/python1.5/site-packages/_gtkmodule.so
#6  0x080785ce in PyEval_CallObjectWithKeywords ()
#7  0x080784d5 in PyEval_CallObjectWithKeywords ()
#8  0x080774f2 in PyEval_EvalCode ()
#9  0x080773d8 in PyEval_EvalCode ()
#10 0x080788ed in PyEval_CallObjectWithKeywords ()
#11 0x080784c7 in PyEval_CallObjectWithKeywords ()
#12 0x0806348b in PyInstance_New ()
#13 0x080784d5 in PyEval_CallObjectWithKeywords ()
#14 0x080774f2 in PyEval_EvalCode ()
#15 0x080773d8 in PyEval_EvalCode ()
#16 0x080773d8 in PyEval_EvalCode ()
#17 0x0807563e in PyEval_EvalCode ()
#18 0x0805c819 in PyRun_File ()
#19 0x0805bedd in PyRun_SimpleFile ()
#20 0x0804f6a2 in Py_Main ()
#21 0x40076627 in __libc_start_main (main=0x804f190 <main>, argc=2,
+ubp_av=0xbfffe8c4, init=0x804e814 <_init>,
    fini=0x8086960 <_fini>, rtld_fini=0x4000dcc4 <_dl_fini>,
+stack_end=0xbfffe8bc) at ../sysdeps/generic/libc-start.c:129


It seems to work fine under 7.2 and with the stock skipjack 
pygtk, but fails with the update.
Comment 1 Matt Wilson 2003-10-15 14:48:56 EDT
is this still a problem?
Comment 2 Adrian Likins 2003-10-15 15:27:29 EDT
long fixed

Note You need to log in before you can comment on or make changes to this bug.